## libdumb 0.9.3

=== Makefile ===
--- 
+++ 
@@ -18,11 +18,13 @@
 #   make config    - Do or redo the configuration.
 #   make clean     - Delete all object files; examples and libraries remain.
 #   make veryclean - Delete examples and libraries too.
-
-# TODO: consider whether to delete config.txt and/or dumbask(.exe)
-
-
-.PHONY: all install uninstall clean veryclean config config-if-necessary
+#   make distclean - Delete examples, libraries and configuration.
+#                    (Note that this is unable to delete the dumbask
+#                    executable if the configuration is absent.)
+
+MAKEFILE = Makefile.rdy
+
+.PHONY: all install uninstall clean veryclean distclean config config-if-necessary make-outdirs
 
 PHONY_TARGETS := core allegro core-examples allegro-examples core-headers allegro-headers
 
@@ -33,7 +35,15 @@
 
 COMMA := ,
 
+ifdef USE_ICC
+CC := icc
+else
+ifdef USE_SGICC
+CC := cc
+else
 CC := gcc
+endif
+endif
 AR := ar
 
 
@@ -77,19 +87,19 @@
 endif
 
 
-all: config-if-necessary
-	@$(MAKE) --no-print-directory $(ALL_TARGETS)
+all: config-if-necessary make-outdirs
+	@$(MAKE) -f $(MAKEFILE) --no-print-directory $(ALL_TARGETS)
 	$(call ECHO,DUMB has been built. Run $(APOST)make install$(APOST) to install it.)
 
 install: config-if-necessary
-	@$(MAKE) --no-print-directory $(ALL_TARGETS:%=install-%)
+	@$(MAKE) -f $(MAKEFILE) --no-print-directory $(ALL_TARGETS:%=install-%)
 	$(call ECHO,DUMB has been installed.)
 	$(call ECHO,See readme.txt for details on the example programs.)
 	$(call ECHO,When you$(APOST)re ready to start using DUMB$(COMMA) see docs/howto.txt.)
 	$(call ECHO,Enjoy!)
 
 uninstall: config-if-necessary
-	@$(MAKE) --no-print-directory $(ALL_TARGETS:%=uninstall-%)
+	@$(MAKE) -f $(MAKEFILE) --no-print-directory $(ALL_TARGETS:%=uninstall-%)
 	$(call ECHO,DUMB has been uninstalled.)
 
 
@@ -131,6 +141,7 @@
 CORE_MODULES :=            \
     core/atexit.c          \
     core/duhlen.c          \
+    core/duhtag.c          \
     core/dumbfile.c        \
     core/loadduh.c         \
     core/makeduh.c         \
@@ -148,6 +159,8 @@
     helpers/stdfile.c      \
     it/itload.c            \
     it/itread.c            \
+    it/itload2.c           \
+    it/itread2.c           \
     it/itrender.c          \
     it/itunload.c          \
     it/loads3m.c           \
@@ -156,6 +169,12 @@
     it/readxm.c            \
     it/loadmod.c           \
     it/readmod.c           \
+    it/loads3m2.c          \
+    it/reads3m2.c          \
+    it/loadxm2.c           \
+    it/readxm2.c           \
+    it/loadmod2.c          \
+    it/readmod2.c          \
     it/xmeffect.c          \
     it/itorder.c           \
     it/itmisc.c
@@ -167,10 +186,14 @@
     allegro/datxm.c        \
     allegro/dats3m.c       \
     allegro/datmod.c       \
+    allegro/datitq.c       \
+    allegro/datxmq.c       \
+    allegro/dats3mq.c      \
+    allegro/datmodq.c      \
     allegro/datunld.c      \
     allegro/packfile.c
 
-CORE_EXAMPLES := examples/dumbout.c
+CORE_EXAMPLES := examples/dumbout.c examples/dumb2wav.c
 ALLEGRO_EXAMPLES := examples/dumbplay.c
 
 CORE_HEADERS := include/dumb.h
@@ -180,11 +203,33 @@
 LIBDIR := lib/$(PLATFORM)
 OBJDIR_BASE := obj/$(PLATFORM)
 
-
+make-outdirs:
+	-$(call MKDIR,lib)
+	-$(call MKDIR,lib/$(PLATFORM))
+	-$(call MKDIR,obj)
+	-$(call MKDIR,obj/$(PLATFORM))
+	-$(call MKDIR,obj/$(PLATFORM)/debug)
+	-$(call MKDIR,obj/$(PLATFORM)/release)
+
+
+ifdef USE_ICC
+WFLAGS := -Wall -DDUMB_DECLARE_DEPRECATED
+WFLAGS_ALLEGRO :=
+OFLAGS := -O2
+DBGFLAGS := -DDEBUGMODE=1
+else
+ifdef USE_SGICC
+WFLAGS := -fullwarn -DDUMB_DECLARE_DEPRECATED
+WFLAGS_ALLEGRO :=
+OFLAGS := -n32 -O2 -use_readonly_const
+DBGFLAGS := -n32 -g3 -DDEBUGMODE=1
+else
 WFLAGS := -Wall -W -Wwrite-strings -Wstrict-prototypes -Wmissing-declarations -DDUMB_DECLARE_DEPRECATED
 WFLAGS_ALLEGRO := -Wno-missing-declarations
 OFLAGS := -O2 -ffast-math -fomit-frame-pointer
 DBGFLAGS := -DDEBUGMODE=1 -g3
+endif
+endif
 
 CFLAGS_RELEASE := -Iinclude $(WFLAGS) $(OFLAGS)
 CFLAGS_DEBUG := -Iinclude $(WFLAGS) $(DBGFLAGS)
@@ -251,7 +296,7 @@
 	$(call DELETE,$(LIB_INSTALL_PATH)/$(notdir $(ALLEGRO_LIB_FILE_RELEASE)))
 	$(call DELETE,$(LIB_INSTALL_PATH)/$(notdir $(ALLEGRO_LIB_FILE_DEBUG)))
 
-ifeq "$COMSPEC" ""
+ifeq "$(COMSPEC)" ""
 uninstall-core-examples:
 	$(call DELETE,$(patsubst %,$(BIN_INSTALL_PATH)/%,$(notdir $(CORE_EXAMPLES_EXE))))
 
@@ -290,22 +335,30 @@
 	$(CC) $^ -o $@ $(LDFLAGS) $(LINK_ALLEGRO)
 
 $(CORE_EXAMPLES_OBJ): examples/%.o: examples/%.c include/dumb.h
-	$(CC) -c $< -o $@ $(CFLAGS_RELEASE)
+	$(CC) $(CFLAGS_RELEASE) -c $< -o $@
 
 $(ALLEGRO_EXAMPLES_OBJ): examples/%.o: examples/%.c include/dumb.h include/aldumb.h
-	$(CC) -c $< -o $@ $(CFLAGS_RELEASE) -Wno-missing-declarations
+	$(CC) $(CFLAGS_RELEASE) -Wno-missing-declarations -c $< -o $@
 
 
 clean:
-	$(call DELETE,$(call FIX,$(OBJDIR_BASE)/release/*.o))
-	$(call DELETE,$(call FIX,$(OBJDIR_BASE)/debug/*.o))
-	$(call DELETE,$(call FIX,examples/*.o))
+	$(call DELETE,$(OBJDIR_BASE)/release/*.o)
+	$(call DELETE,$(OBJDIR_BASE)/debug/*.o)
+	$(call DELETE,examples/*.o)
 
 veryclean: clean
-	$(call DELETE,$(call FIX,$(CORE_LIB_FILE)))
-	$(call DELETE,$(call FIX,$(ALLEGRO_LIB_FILE)))
-	$(call DELETE,$(call FIX,$(CORE_EXAMPLES_EXE)))
-	$(call DELETE,$(call FIX,$(ALLEGRO_EXAMPLES_EXE)))
-
+	$(call DELETE,$(CORE_LIB_FILE))
+	$(call DELETE,$(ALLEGRO_LIB_FILE))
+	$(call DELETE,$(CORE_EXAMPLES_EXE))
+	$(call DELETE,$(ALLEGRO_EXAMPLES_EXE))
+
+distclean: veryclean
+	$(call DELETE,make/config.txt)
+	$(call DELETE,$(DUMBASK_EXE))
+
+
+else
+
+make-outdirs:  # don't make output before configuration
 
 endif # ifdef PLATFORM
