=== debian/changelog ===
libdumb (1:0.9.3-7) unstable; urgency=medium

  * Team upload.
  * Update Vcs- urls to point to WIP Salsa repository.
  * Set "Rules-Requires-Root: no"

 -- Alexandre Detiste <tchet@debian.org>  Tue, 17 Dec 2024 21:12:36 +0100

libdumb (1:0.9.3-6.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062275

 -- Benjamin Drung <bdrung@debian.org>  Wed, 28 Feb 2024 11:36:41 +0000

libdumb (1:0.9.3-6) unstable; urgency=low

  * I took over the package after it was unmaintained for a long time.
    See #626049 for a related orphaning.
  * Add Homepage and Vcs-* fields to debian/control.
  * Change versioned build dependency on liballegro4.2-dev to dependency
    on liballegro4-dev (Closes: #710601).
  * Change debian/copyright to format 1.0 and clarify license change
    (Closes: #533555).
  * Include watch file from Bart Martens.
  * Change to dh and compat 9, fix all lintian warnings.
  * Bump Standards-Version to 3.9.4.
  * Change to source format 3.0 (quilt).

 -- Tobias Hansen <thansen@debian.org>  Fri, 07 Jun 2013 23:06:45 +0200

libdumb (1:0.9.3-5.4) unstable; urgency=low

  * Non-maintainer upload.
  * No-change upload requested by Tobias, to fix multiarch-related
    coinstallability issues (Closes: #678062).

 -- Cyril Brulebois <kibi@debian.org>  Thu, 21 Jun 2012 01:45:25 +0200

libdumb (1:0.9.3-5.3) unstable; urgency=low

  * Non-maintainer upload.
  * Also enable hardening LDFLAGS, patch from Simon Ruderich. (Closes: #658965)
  * Enable multiarch.

 -- Tobias Hansen <tobias.han@gmx.de>  Sat, 19 May 2012 03:41:34 +0200

libdumb (1:0.9.3-5.2) unstable; urgency=low

  * Non-maintainer upload.
  * Enabled hardened build flags (Closes: #658965)

 -- Moritz Muehlenhoff <jmm@debian.org>  Sat, 07 Apr 2012 18:04:36 +0200

libdumb (1:0.9.3-5.1) unstable; urgency=low

  * Non-maintainer upload.
  * Update debian/rules to use new tail syntax (Closes: #470968)
    - use tail -n +2 instead of tail +2

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 01 Apr 2008 13:01:27 +0200

libdumb (1:0.9.3-5) unstable; urgency=critical

  * Set urgency=critical because of security fix.

  * debian/patches/100_CVE-2006-3668.diff:
    + Fix for CVE-2006-3668 "Heap-based buffer overflow in the it_read_envelope
      function in Dynamic Universal Music Bibliotheque (DUMB) 0.9.3 and
      earlier, and current CVS as of 20060716, allows user-complicit attackers
      to execute arbitrary code via a ".it" (Impulse Tracker) file with an
      enveloper with a large number of nodes." (Closes: #379064).

  * debian/control:
    + Set policy to 3.7.2.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Fri, 21 Jul 2006 11:07:45 +0200

libdumb (1:0.9.3-4) unstable; urgency=low

    + Build-depend on liballegro4.2-dev (>= 2:4.2.0-4) to fix the missing
      libxcursor-dev build-dependency (Closes: #360190).

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Fri, 31 Mar 2006 11:21:00 +0200

libdumb (1:0.9.3-3) unstable; urgency=low

  * debian/rules
    + Removed the -lalleg_unsharable stripping.
  * debian/control:
    + Build-depend on liballegro4.2-dev (>= 2:4.2.0-2) (Closes: #360140).

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Thu, 30 Mar 2006 22:52:14 +0200

libdumb (1:0.9.3-2) unstable; urgency=low

  * Moved development to Alioth.
  * debian/rules
    + Switched to quilt for patch handling.
  * debian/control:
    + Build-depend on quilt.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Thu, 30 Mar 2006 12:23:16 +0200

libdumb (1:0.9.3-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    + Set policy to 3.6.2.1.
    + Bumped soname due to API changes.
    + Build-depend on liballegro 4.2 instead of 4.1.
  * debian/rules:
    + Replace DH_COMPAT with debian/compat and set its level to 4.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Mon, 14 Nov 2005 11:31:04 +0100

libdumb (1:0.9.2-5) unstable; urgency=low

  * debian/control:
    + Set policy to 3.6.1.1.
    + Removed leading "the" in short descriptions.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Fri, 23 Jul 2004 13:23:09 +0200

libdumb (1:0.9.2-4) unstable; urgency=low

  * Removed libc6-dev from the -dev packages' dependencies.
  * Set policy to 3.5.10.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Sat, 31 May 2003 00:43:41 +0200

libdumb (1:0.9.2-3) unstable; urgency=high

  * Upload with urgency=high so that libdumb enters testing ASAP (packages
    are identical to the ones in testing except the source package name) and
    we can remove "dumb".

 -- Samuel Hocevar <sam@zoy.org>  Thu, 22 May 2003 12:30:42 +0200

libdumb (1:0.9.2-2) unstable; urgency=low

  * Skipped version number to avoid package name conflicts in pool.

 -- Samuel Hocevar <sam@zoy.org>  Thu, 22 May 2003 12:30:41 +0200

libdumb (1:0.9.2-1) unstable; urgency=low

  * Renamed the source package to libdumb to fix a name collision.

 -- Samuel Hocevar <sam@zoy.org>  Sun, 11 May 2003 19:28:31 +0200

dumb (0.9.2-2) unstable; urgency=low

  * Fixed the library naming scheme.

 -- Samuel Hocevar <sam@zoy.org>  Sun, 27 Apr 2003 20:21:13 +0200

dumb (0.9.2-1) unstable; urgency=low

  * First Debian release (Closes: #190422).

 -- Samuel Hocevar <sam@zoy.org>  Wed, 23 Apr 2003 19:06:43 +0200
