## libdumb 0.9.3-5.1-maemo1

=== debian/changelog ===
libdumb (1:0.9.3-5.1-maemo1) unstable; urgency=low

  * Packaging for Fremantle

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Tue, 17 May 2011 19:33:27 +0200
