=== debian/control ===
Source: libdumb
Section: libs
Priority: optional
Maintainer: Debian allegro packages maintainers <pkg-allegro-maintainers@lists.alioth.debian.org>
Uploaders: Sam Hocevar (Debian packages) <sam+deb@zoy.org>
Build-Depends: debhelper (>= 4.0), quilt, liballegro4.2-dev (>= 2:4.2.0-4)
Standards-Version: 3.7.2

Package: libdumb1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}
Description: dynamic universal music bibliotheque
 DUMB is a tracker library with support for IT, XM, S3M and MOD files. It
 targets maximum accuracy to the original formats, with low-pass resonant
 filters for the IT files, accurate timing and pitching, and three resampling
 quality settings (aliasing, linear interpolation and cubic interpolation).
 .
 This package contains the libdumb1 runtime library, a standalone library
 for module playback. If you plan to use the Allegro library with your
 project, please consider the libaldmb1 library.

Package: libdumb1-dev
Section: libdevel
Architecture: any
Depends: libdumb1 (= ${Source-Version})
Conflicts: libdumb0-dev
Description: development files for libdumb1
 DUMB is a tracker library with support for IT, XM, S3M and MOD files. It
 targets maximum accuracy to the original formats, with low-pass resonant
 filters for the IT files, accurate timing and pitching, and three resampling
 quality settings (aliasing, linear interpolation and cubic interpolation).
 .
 This package contains the header files and static library needed to
 compile applications that use libdumb1.

Package: libaldmb1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}
Description: dynamic universal music bibliotheque, Allegro version
 DUMB is a tracker library with support for IT, XM, S3M and MOD files. It
 targets maximum accuracy to the original formats, with low-pass resonant
 filters for the IT files, accurate timing and pitching, and three resampling
 quality settings (aliasing, linear interpolation and cubic interpolation).
 .
 This package contains the libaldmb1 runtime library, a library for module
 playback that uses the Allegro library. If you do not plan to use Allegro
 with your project, please consider the libdumb1 library.

Package: libaldmb1-dev
Section: libdevel
Architecture: any
Depends: libaldmb1 (= ${Source-Version}), libdumb1-dev, liballegro4.2-dev
Conflicts: libaldmb0-dev
Description: development files for libaldmb1
 DUMB is a tracker library with support for IT, XM, S3M and MOD files. It
 targets maximum accuracy to the original formats, with low-pass resonant
 filters for the IT files, accurate timing and pitching, and three resampling
 quality settings (aliasing, linear interpolation and cubic interpolation).
 .
 This package contains the header files and static library needed to
 compile applications that use libaldmb1.
