## libdumb 0.9.3-5.1-maemo2

=== debian/changelog ===
libdumb (1:0.9.3-5.1-maemo2) unstable; urgency=low

  * Packaging for Fremantle

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Sun, 10 Jul 2011 12:33:27 +0200
