=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: libdumb
 Section: libs
 Priority: optional
-Maintainer: Debian allegro packages maintainers <pkg-allegro-maintainers@lists.alioth.debian.org>
-Uploaders: Sam Hocevar (Debian packages) <sam+deb@zoy.org>
-Build-Depends: debhelper (>= 4.0), quilt, liballegro4.2-dev (>= 2:4.2.0-4)
+Maintainer: Aapo Rantalainen <aapo.rantalainen@gmail.com>
+Build-Depends: debhelper (>= 4.0), quilt, liballeg4.4-dev (>= 2:4.4.2)
 Standards-Version: 3.7.2
 
 Package: libdumb1
@@ -51,7 +50,7 @@
 Package: libaldmb1-dev
 Section: libdevel
 Architecture: any
-Depends: libaldmb1 (= ${Source-Version}), libdumb1-dev, liballegro4.2-dev
+Depends: libaldmb1 (= ${Source-Version}), libdumb1-dev, liballegro4.4-dev
 Conflicts: libaldmb0-dev
 Description: development files for libaldmb1
  DUMB is a tracker library with support for IT, XM, S3M and MOD files. It
