## libdumb 0.9.3-5.1-maemo3

=== debian/changelog ===
libdumb (1:0.9.3-5.1-maemo3) unstable; urgency=low

  * Uses allegro4.4

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Sun, 10 Jul 2011 12:33:27 +0200
