=== debian/control ===
--- 
+++ 
@@ -50,7 +50,7 @@
 Package: libaldmb1-dev
 Section: libdevel
 Architecture: any
-Depends: libaldmb1 (= ${Source-Version}), libdumb1-dev, liballegro4.4-dev
+Depends: libaldmb1 (= ${Source-Version}), libdumb1-dev, liballeg4.4-dev
 Conflicts: libaldmb0-dev
 Description: development files for libaldmb1
  DUMB is a tracker library with support for IT, XM, S3M and MOD files. It
