## libdumb 0.9.3-5.1-maemo4

=== debian/changelog ===
libdumb (1:0.9.3-5.1-maemo4) unstable; urgency=low

  * Uses allegro4.2 (seems to work better than 4.2)

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Fri, 17 Jan 2014 20:45:27 +0200
