=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: libs
 Priority: optional
 Maintainer: Aapo Rantalainen <aapo.rantalainen@gmail.com>
-Build-Depends: debhelper (>= 4.0), quilt, liballeg4.4-dev (>= 2:4.4.2)
+Build-Depends: debhelper (>= 4.0), quilt, liballegro4.2-dev
 Standards-Version: 3.7.2
 
 Package: libdumb1
