=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for libdumb - uses debhelper.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Compilation options
export CONFIG_FLAGS="--prefix=/usr"

build: build-stamp
build-stamp:
	dh_testdir
	dh_clean -k
	QUILT_PATCHES=debian/patches quilt push -a || test $$? = 2
	dh_installdirs -p libdumb1 usr/lib usr/share/doc/libdumb1
	dh_installdirs -p libdumb1-dev usr/lib usr/include usr/share/doc
	dh_installdirs -p libaldmb1 usr/lib usr/share/doc/libaldmb1
	dh_installdirs -p libaldmb1-dev usr/lib usr/include usr/share/doc

	echo 'include make/unix.inc' > make/config.txt
	echo 'ALL_TARGETS := core core-examples core-headers' >> make/config.txt
	echo 'ALL_TARGETS += allegro allegro-examples allegro-headers' >> make/config.txt
	echo 'PREFIX := /usr' >> make/config.txt

	mkdir -p obj/unix/release/
	mkdir -p lib/unix/

	$(MAKE) lib/unix/libdumb.a
	$(MAKE) lib/unix/libaldmb.a

	cp lib/unix/libdumb.a debian/libdumb1-dev/usr/lib/
	cp lib/unix/libaldmb.a debian/libaldmb1-dev/usr/lib/

	$(MAKE) clean

	$(MAKE) lib/unix/libdumb.a CFLAGS_EXTRA=-fPIC
	$(MAKE) lib/unix/libaldmb.a CFLAGS_EXTRA=-fPIC

	$(CC) -Wl,-soname,libdumb.so.1 -shared `sed -ne '/^CORE_MODULES :=/,/c$$/p' < Makefile | sed -e 's,\\\\,,' -e 's,.*/\\(.*\\)\\.c,obj/unix/release/\\1.o,' | tail -n +2` -o debian/libdumb1/usr/lib/libdumb.so.1.0.0 -lm -lc
	ln -s libdumb.so.1.0.0 debian/libdumb1/usr/lib/libdumb.so
	$(CC) -Wl,-soname,libaldmb.so.1 -shared `sed -ne '/^ALLEGRO_MODULES :=/,/c$$/p' < Makefile | sed -e 's,\\\\,,' -e 's,.*/\\(.*\\)\\.c,obj/unix/release/\\1.o,' | tail -n +2` -o debian/libaldmb1/usr/lib/libaldmb.so.1.0.0 -Ldebian/libdumb1/usr/lib/ -ldumb `allegro-config --libs` -lm -lc
	rm -f debian/libdumb1/usr/lib/libdumb.so

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	-$(MAKE) veryclean
	QUILT_PATCHES=debian/patches quilt pop -a -R || test $$? = 2
	rm -f `find -name '*.a'` make/dumbask make/config.txt
	rm -Rf obj/unix/release/ lib/unix/

	dh_clean

install: build
	dh_testdir
	dh_testroot

	ln -s libdumb.so.1.0.0 debian/libdumb1/usr/lib/libdumb.so.1
	ln -s libaldmb.so.1.0.0 debian/libaldmb1/usr/lib/libaldmb.so.1
	ln -s libdumb.so.1 debian/libdumb1-dev/usr/lib/libdumb.so
	cp include/dumb.h debian/libdumb1-dev/usr/include
	ln -s libaldmb.so.1 debian/libaldmb1-dev/usr/lib/libaldmb.so
	cp include/aldumb.h debian/libaldmb1-dev/usr/include

	ln -s libdumb1 debian/libdumb1-dev/usr/share/doc/libdumb1-dev
	ln -s libaldmb1 debian/libaldmb1-dev/usr/share/doc/libaldmb1-dev

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
#	dh_testversion
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs -p libdumb1 readme.txt docs
	dh_installdocs -p libaldmb1 readme.txt docs
	dh_installexamples -p libdumb1 examples/*
	dh_installexamples -p libaldmb1 examples/*
#	dh_installmenu
#	dh_installemacsen
#	dh_installpam
#	dh_installinit
#	dh_installcron
#	dh_installman
#	dh_installinfo
#	dh_undocumented
	dh_installchangelogs -p libdumb1 release.txt
	dh_installchangelogs -p libaldmb1 release.txt
	dh_link
	dh_strip
	dh_compress -X examples/
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
#	dh_perl

	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
