## libdumb 0.9.3-5.1-maemo5

=== debian/changelog ===
libdumb (1:0.9.3-5.1-maemo5) unstable; urgency=low

  * Fix more for allegro4.2

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Sat, 18 Jan 2014 10:41:27 +0200
